com.jscape.inet.sftp.events

## Class SftpDeleteDirEvent

- java.lang.Object
- - com.jscape.inet.sftp.events.SftpEvent
  - - com.jscape.inet.sftp.events.SftpDeleteDirEvent

-     public class SftpDeleteDirEvent
      extends SftpEvent

  This event is fired when directory is deleted from server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpDeleteDirEvent(Sftp source, java.lang.String directory, java.lang.String path)` Creates a new SftpDeleteDirEvent instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SftpListener listener)` The "backwards dispatching" support.
    `java.lang.String` | `getDirectory()` Gets name of directory deleted.
    `java.lang.String` | `getPath()` Gets the path the directory was deleted from

    - ### Methods inherited from class com.jscape.inet.sftp.events.SftpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpDeleteDirEvent

          public SftpDeleteDirEvent(Sftp source,
                                    java.lang.String directory,
                                    java.lang.String path)

      Creates a new SftpDeleteDirEvent instance.
      Parameters:
        `source` - the source of the event
        `directory` - the name of the directory deleted
        `path` - the directory path the directory was deleted from

  - ### Method Detail

    - #### getDirectory

          public java.lang.String getDirectory()

      Gets name of directory deleted.
      Returns:
        the directory deleted.

    - #### getPath

          public java.lang.String getPath()

      Gets the path the directory was deleted from
      Returns:
        path

    - #### accept

          public void accept(SftpListener listener)

      The "backwards dispatching" support.
      Specified by:
        `accept` in class `SftpEvent`
      Parameters:
        `listener` - the event listener

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved